org.apache.commons.jexl

## Interface JexlExprResolver

All Known Implementing Classes:
  FlatResolver

    public interface JexlExprResolver

A Resolver allows custom resolution of the expression, and can be added in front of the jexl engine, or after in the evaluation.

Since:
  1.0
Version:
  $Id: JexlExprResolver.java 480412 2006-11-29 05:11:23Z bayard $
Author:
  Geir Magnusson Jr.

### Field Summary

Fields
`static java.lang.Object` `NO_VALUE` represents an expression result of no value.

### Method Summary

Methods
`java.lang.Object` `evaluate(JexlContext context, java.lang.String expression)` Evaluates an expression against the context.

### Field Detail

#### NO_VALUE

    static final java.lang.Object NO_VALUE

represents an expression result of no value.

### Method Detail

#### evaluate

    java.lang.Object evaluate(JexlContext context,
                            java.lang.String expression)

Evaluates an expression against the context.

Parameters:
  `context` - current data context
  `expression` - expression to evauluate
Returns:
  value (may be null) or the NO_VALUE object to indicate no resolution.